# Generated by Django 3.2.7 on 2022-05-26 11:34

from django.db import migrations, models


def update_date_creation(apps, schema_editor):
    Contrat = apps.get_model("gaia_distribs", "Contrat")
    db_alias = schema_editor.connection.alias
    schema_editor.execute(
        "update " + Contrat.objects.model._meta.db_table + " "
        "set date_creation = date_signature "
        "where date_creation is NULL "
    )


class Migration(migrations.Migration):

    dependencies = [
        ('gaia_distribs', '0004_inscriptionproduit_adhesion_requise'),
    ]

    operations = [
        migrations.AddField(
            model_name='contrat',
            name='date_creation',
            field=models.DateField(null=True),
        ),
        migrations.AlterField(
            model_name='inscriptionproduit',
            name='adhesion_requise',
            field=models.BooleanField(default=True, verbose_name='Adhésion requise ?'),
        ),
        migrations.RunPython(update_date_creation, migrations.RunPython.noop),
    ]
